<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:44:43 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,577
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      27,858
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,454
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.39
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,836
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      14,135
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.44
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,271
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      185
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.93
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      15.69
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      204
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:44:43 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,577
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      27,858
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,454
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.39
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,836
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      14,135
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.44
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.23
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,271
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      185
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.93
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      15.69
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      204
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='proj-risks.html'">Project Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">Clover database Wed Nov 28 2012 22:44:43 CET</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html#AbstractAsyncRequestConsumer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 46 , # Elements Untested - 5 ">AbstractAsyncRequestConsumer</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html#AbstractAsyncResponseConsumer" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 51 , # Elements Untested - 1 ">AbstractAsyncResponseConsumer</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/AbstractIODispatch.html#AbstractIODispatch" class="tag"
	  style="font-size: 17px;color:#3405ca"
	  title="# Elements - 96 , # Elements Untested - 32 ">AbstractIODispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/AbstractIOReactor.html#AbstractIOReactor" class="tag"
	  style="font-size: 31px;color:#990565"
	  title="# Elements - 268 , # Elements Untested - 93 ">AbstractIOReactor</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="# Elements - 118 , # Elements Untested - 12 ">AbstractMessageParser</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 9 ">AbstractMessageWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor" class="tag"
	  style="font-size: 29px;color:#660598"
	  title="# Elements - 236 , # Elements Untested - 60 ">AbstractMultiworkerIOReactor</a>
   
	 	 
	       <a href="org/apache/http/nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool" class="tag"
	  style="font-size: 40px;color:#3405ca"
	  title="# Elements - 362 , # Elements Untested - 30 ">AbstractNIOConnPool</a>
   
	 	 
	       <a href="org/apache/http/nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool.InternalSessionRequestCallback" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 6 ">AbstractNIOConnPool.InternalSessionRequestCallback</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler" class="tag"
	  style="font-size: 29px;color:#80057e"
	  title="# Elements - 241 , # Elements Untested - 81 ">AsyncNHttpClientHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler.ClientConnState" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 49 , # Elements Untested - 2 ">AsyncNHttpClientHandler.ClientConnState</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler" class="tag"
	  style="font-size: 34px;color:#990565"
	  title="# Elements - 292 , # Elements Untested - 96 ">AsyncNHttpServiceHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ResponseTriggerImpl" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 29 , # Elements Untested - 12 ">AsyncNHttpServiceHandler.ResponseTriggerImpl</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ServerConnState" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 61 , # Elements Untested - 10 ">AsyncNHttpServiceHandler.ServerConnState</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/BaseIOReactor.html#BaseIOReactor" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="# Elements - 87 , # Elements Untested - 19 ">BaseIOReactor</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html#BasicAsyncRequestConsumer" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 27 , # Elements Untested - 4 ">BasicAsyncRequestConsumer</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler" class="tag"
	  style="font-size: 17px;color:#1b05e3"
	  title="# Elements - 100 , # Elements Untested - 20 ">BasicAsyncRequestExecutionHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#BasicAsyncRequestProducer" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 54 , # Elements Untested - 7 ">BasicAsyncRequestProducer</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 27 , # Elements Untested - 4 ">BasicAsyncResponseConsumer</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BasicAsyncResponseProducer.html#BasicAsyncResponseProducer" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 38 , # Elements Untested - 3 ">BasicAsyncResponseProducer</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 32 , # Elements Untested - 16 ">BasicNIOConnFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 23 , # Elements Untested - 14 ">BasicNIOConnPool</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 24 , # Elements Untested - 24 ">BufferingHttpClientHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler.ExecutionHandlerAdaptor" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 13 , # Elements Untested - 13 ">BufferingHttpClientHandler.ExecutionHandlerAdaptor</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 30 , # Elements Untested - 10 ">BufferingHttpServiceHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">BufferingHttpServiceHandler.RequestHandlerAdaptor</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerResolverAdaptor" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/BufferingNHttpEntity.html#BufferingNHttpEntity" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 36 , # Elements Untested - 18 ">BufferingNHttpEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/ChunkDecoder.html#ChunkDecoder" class="tag"
	  style="font-size: 24px;color:#0205fc"
	  title="# Elements - 176 , # Elements Untested - 7 ">ChunkDecoder</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/ChunkEncoder.html#ChunkEncoder" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 67 , # Elements Untested - 10 ">ChunkEncoder</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/ConsumingNHttpEntityTemplate.html#ConsumingNHttpEntityTemplate" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 17 , # Elements Untested - 17 ">ConsumingNHttpEntityTemplate</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/ContentBufferEntity.html#ContentBufferEntity" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 13 , # Elements Untested - 4 ">ContentBufferEntity</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/ContentInputStream.html#ContentInputStream" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 6 ">ContentInputStream</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/ContentOutputStream.html#ContentOutputStream" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 17 , # Elements Untested - 4 ">ContentOutputStream</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#DefaultClientIOEventDispatch" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 28 , # Elements Untested - 28 ">DefaultClientIOEventDispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor" class="tag"
	  style="font-size: 20px;color:#660598"
	  title="# Elements - 140 , # Elements Untested - 56 ">DefaultConnectingIOReactor</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 35 , # Elements Untested - 19 ">DefaultHttpClientIODispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html#DefaultHttpRequestParser" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 17 , # Elements Untested - 4 ">DefaultHttpRequestParser</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpRequestParserFactory.html#DefaultHttpRequestParserFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 2 ">DefaultHttpRequestParserFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html#DefaultHttpRequestWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">DefaultHttpRequestWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpRequestWriterFactory.html#DefaultHttpRequestWriterFactory" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 1 ">DefaultHttpRequestWriterFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html#DefaultHttpResponseParser" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 17 , # Elements Untested - 4 ">DefaultHttpResponseParser</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html#DefaultHttpResponseParserFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 2 ">DefaultHttpResponseParserFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 7 , # Elements Untested - 2 ">DefaultHttpResponseWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html#DefaultHttpResponseWriterFactory" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 1 ">DefaultHttpResponseWriterFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 34 , # Elements Untested - 15 ">DefaultHttpServerIODispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor" class="tag"
	  style="font-size: 21px;color:#660598"
	  title="# Elements - 143 , # Elements Untested - 57 ">DefaultListeningIOReactor</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultNHttpClientConnection.html#DefaultNHttpClientConnection" class="tag"
	  style="font-size: 22px;color:#4d05b1"
	  title="# Elements - 152 , # Elements Untested - 42 ">DefaultNHttpClientConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultNHttpClientConnectionFactory.html#DefaultNHttpClientConnectionFactory" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 43 , # Elements Untested - 23 ">DefaultNHttpClientConnectionFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultNHttpServerConnection.html#DefaultNHttpServerConnection" class="tag"
	  style="font-size: 22px;color:#3405ca"
	  title="# Elements - 156 , # Elements Untested - 35 ">DefaultNHttpServerConnection</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 43 , # Elements Untested - 34 ">DefaultNHttpServerConnectionFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/DefaultServerIOEventDispatch.html#DefaultServerIOEventDispatch" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 27 , # Elements Untested - 27 ">DefaultServerIOEventDispatch</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/EntityAsyncContentProducer.html#EntityAsyncContentProducer" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 29 , # Elements Untested - 24 ">EntityAsyncContentProducer</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/ErrorResponseProducer.html#ErrorResponseProducer" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 1 ">ErrorResponseProducer</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/ExceptionEvent.html#ExceptionEvent" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 20 , # Elements Untested - 8 ">ExceptionEvent</a>
   
	 	 
	       <a href="org/apache/http/nio/util/ExpandableBuffer.html#ExpandableBuffer" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="# Elements - 72 , # Elements Untested - 21 ">ExpandableBuffer</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor" class="tag"
	  style="font-size: 29px;color:#0205fc"
	  title="# Elements - 240 , # Elements Untested - 11 ">HttpAsyncRequestExecutor</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor.State" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 55 , # Elements Untested - 1 ">HttpAsyncRequestExecutor.State</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncRequestHandlerRegistry.html#HttpAsyncRequestHandlerRegistry" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">HttpAsyncRequestHandlerRegistry</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 57 , # Elements Untested - 4 ">HttpAsyncRequester</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester.ConnRequestCallback" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 35 , # Elements Untested - 2 ">HttpAsyncRequester.ConnRequestCallback</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService" class="tag"
	  style="font-size: 37px;color:#1b05e3"
	  title="# Elements - 336 , # Elements Untested - 24 ">HttpAsyncService</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.Exchange" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 46 , # Elements Untested - 11 ">HttpAsyncService.Exchange</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 4 , # Elements Untested - 4 ">HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 8 ">HttpRequestParser</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/HttpRequestWriter.html#HttpRequestWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpRequestWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 8 ">HttpResponseParser</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/HttpResponseWriter.html#HttpResponseWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpResponseWriter</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/IOReactorConfig.html#IOReactorConfig" class="tag"
	  style="font-size: 15px;color:#4d05b1"
	  title="# Elements - 75 , # Elements Untested - 43 ">IOReactorConfig</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/IOReactorConfig.html#IOReactorConfig.Builder" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 43 , # Elements Untested - 27 ">IOReactorConfig.Builder</a>
   
	 	 
	       <a href="org/apache/http/nio/reactor/IOReactorException.html#IOReactorException" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 3 ">IOReactorException</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/IOSessionImpl.html#IOSessionImpl" class="tag"
	  style="font-size: 26px;color:#b2054c"
	  title="# Elements - 202 , # Elements Untested - 106 ">IOSessionImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/IdentityDecoder.html#IdentityDecoder" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 68 , # Elements Untested - 14 ">IdentityDecoder</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/IdentityEncoder.html#IdentityEncoder" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 32 , # Elements Untested - 18 ">IdentityEncoder</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/InterestOpEntry.html#InterestOpEntry" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 13 , # Elements Untested - 13 ">InterestOpEntry</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html#LengthDelimitedDecoder" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="# Elements - 106 , # Elements Untested - 14 ">LengthDelimitedDecoder</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html#LengthDelimitedEncoder" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 60 , # Elements Untested - 12 ">LengthDelimitedEncoder</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html#ListenerEndpointImpl" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="# Elements - 80 , # Elements Untested - 22 ">ListenerEndpointImpl</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity" class="tag"
	  style="font-size: 13px;color:#3405ca"
	  title="# Elements - 56 , # Elements Untested - 28 ">NByteArrayEntity</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/NFileEntity.html#NFileEntity" class="tag"
	  style="font-size: 15px;color:#80057e"
	  title="# Elements - 71 , # Elements Untested - 71 ">NFileEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/NHttpClientEventHandlerAdaptor.html#NHttpClientEventHandlerAdaptor" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 33 , # Elements Untested - 33 ">NHttpClientEventHandlerAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/NHttpConnectionBase.html#NHttpConnectionBase" class="tag"
	  style="font-size: 28px;color:#cb0533"
	  title="# Elements - 233 , # Elements Untested - 113 ">NHttpConnectionBase</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 26 , # Elements Untested - 26 ">NHttpEntityWrapper</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/NHttpHandlerBase.html#NHttpHandlerBase" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 44 , # Elements Untested - 25 ">NHttpHandlerBase</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">NHttpRequestHandlerRegistry</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 33 , # Elements Untested - 33 ">NHttpServerEventHandlerAdaptor</a>
   
	 	 
	       <a href="org/apache/http/nio/params/NIOReactorParamBean.html#NIOReactorParamBean" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 6 , # Elements Untested - 6 ">NIOReactorParamBean</a>
   
	 	 
	       <a href="org/apache/http/nio/params/NIOReactorParams.html#NIOReactorParams" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 26 , # Elements Untested - 26 ">NIOReactorParams</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/NStringEntity.html#NStringEntity" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 47 , # Elements Untested - 13 ">NStringEntity</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/NullNHttpEntity.html#NullNHttpEntity" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 19 , # Elements Untested - 8 ">NullNHttpEntity</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/NullRequestConsumer.html#NullRequestConsumer" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 23 , # Elements Untested - 11 ">NullRequestConsumer</a>
   
	 	 
	       <a href="org/apache/http/nio/pool/RouteSpecificPool.html#RouteSpecificPool" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="# Elements - 118 , # Elements Untested - 2 ">RouteSpecificPool</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="# Elements - 67 , # Elements Untested - 67 ">SSLClientIOEventDispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 26 , # Elements Untested - 26 ">SSLClientIOEventDispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SSLIOSession.html#SSLIOSession" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 26 , # Elements Untested - 26 ">SSLIOSession</a>
   
	 	 
	       <a href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession" class="tag"
	  style="font-size: 37px;color:#990565"
	  title="# Elements - 334 , # Elements Untested - 96 ">SSLIOSession</a>
   
	 	 
	       <a href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession.InternalByteChannel" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 8 , # Elements Untested - 4 ">SSLIOSession.InternalByteChannel</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SSLIOSessionHandlerAdaptor.html#SSLIOSessionHandlerAdaptor" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 11 ">SSLIOSessionHandlerAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="# Elements - 65 , # Elements Untested - 65 ">SSLNHttpClientConnectionFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="# Elements - 65 , # Elements Untested - 65 ">SSLNHttpServerConnectionFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" class="tag"
	  style="font-size: 14px;color:#660598"
	  title="# Elements - 66 , # Elements Untested - 66 ">SSLServerIOEventDispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 25 , # Elements Untested - 25 ">SSLServerIOEventDispatch</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 11 ">SSLSetupHandlerAdaptor</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SessionHandle.html#SessionHandle" class="tag"
	  style="font-size: 11px;color:#1b05e3"
	  title="# Elements - 27 , # Elements Untested - 27 ">SessionHandle</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html#SessionInputBufferImpl" class="tag"
	  style="font-size: 24px;color:#3405ca"
	  title="# Elements - 182 , # Elements Untested - 33 ">SessionInputBufferImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html#SessionOutputBufferImpl" class="tag"
	  style="font-size: 22px;color:#3405ca"
	  title="# Elements - 160 , # Elements Untested - 37 ">SessionOutputBufferImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SessionRequestHandle.html#SessionRequestHandle" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 2 ">SessionRequestHandle</a>
   
	 	 
	       <a href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html#SessionRequestImpl" class="tag"
	  style="font-size: 20px;color:#80057e"
	  title="# Elements - 133 , # Elements Untested - 77 ">SessionRequestImpl</a>
   
	 	 
	       <a href="org/apache/http/nio/util/SharedInputBuffer.html#SharedInputBuffer" class="tag"
	  style="font-size: 24px;color:#80057e"
	  title="# Elements - 180 , # Elements Untested - 76 ">SharedInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/nio/util/SharedOutputBuffer.html#SharedOutputBuffer" class="tag"
	  style="font-size: 23px;color:#660598"
	  title="# Elements - 173 , # Elements Untested - 66 ">SharedOutputBuffer</a>
   
	 	 
	       <a href="org/apache/http/nio/util/SimpleInputBuffer.html#SimpleInputBuffer" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 66 , # Elements Untested - 4 ">SimpleInputBuffer</a>
   
	 	 
	       <a href="org/apache/http/nio/util/SimpleOutputBuffer.html#SimpleOutputBuffer" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 51 , # Elements Untested - 18 ">SimpleOutputBuffer</a>
   
	 	 
	       <a href="org/apache/http/nio/entity/SkipContentListener.html#SkipContentListener" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 12 ">SkipContentListener</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler" class="tag"
	  style="font-size: 34px;color:#b2054c"
	  title="# Elements - 302 , # Elements Untested - 103 ">ThrottlingHttpClientHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler.ClientConnState" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 52 , # Elements Untested - 5 ">ThrottlingHttpClientHandler.ClientConnState</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler" class="tag"
	  style="font-size: 38px;color:#e4051a"
	  title="# Elements - 346 , # Elements Untested - 125 ">ThrottlingHttpServiceHandler</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler.ServerConnState" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 49 , # Elements Untested - 9 ">ThrottlingHttpServiceHandler.ServerConnState</a>
   
	 	 
	       <a href="org/apache/http/nio/protocol/UriHttpAsyncRequestHandlerMapper.html#UriHttpAsyncRequestHandlerMapper" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 2 ">UriHttpAsyncRequestHandlerMapper</a>
      </div>
   
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
